Subject: bug#40658: Fforward-comment: Incorrect recognition of end of comment in C++

From: Alan Mackenzie <[email-masked]>
Date: Thu, 16 Apr 2020 17:29:23 +0000

Hello, Eli.

On Thu, Apr 16, 2020 at 16:35:14 +0300, Eli Zaretskii wrote:
> > Date: Thu, 16 Apr 2020 12:44:26 +0000
> > From: Alan Mackenzie <[email-masked]>
> > Cc: Stefan Monnier <[email-masked]>

> > This should clearly go into the master branch.  I think it should also go
> > into the emacs-27 release branch, since it is relevant for a nasty bug,
> > bug #40052.

> Sorry, too late for that now.  This code is there for the last 20+
> years, we can endure that a bit more, I think.

OK, I've committed the patch to master.  The code, in effect, just dates
from 2015, when I added support for escaped EOLs in comments.

I will put some workaround into CC Mode (which I would have to have done
anyway).

-- 
Alan Mackenzie (Nuremberg, Germany).